summaryrefslogtreecommitdiff
path: root/bin/git-push-all
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2020-03-23 23:04:38 -0700
committerSean Whitton <spwhitton@spwhitton.name>2020-03-23 23:04:38 -0700
commit36f73c24e9910414d47ed44975e44139bf84c84a (patch)
tree28f77de08fb93ded31f5c035ed84b80e19b86d11 /bin/git-push-all
parent05add5a36aa5208ffa289540a039621806949c91 (diff)
downloaddotfiles-36f73c24e9910414d47ed44975e44139bf84c84a.tar.gz
git-push-all: propagate a failure of git-push
Diffstat (limited to 'bin/git-push-all')
-rwxr-xr-xbin/git-push-all1
1 files changed, 1 insertions, 0 deletions
diff --git a/bin/git-push-all b/bin/git-push-all
index 553f4f03..74a63c2c 100755
--- a/bin/git-push-all
+++ b/bin/git-push-all
@@ -94,6 +94,7 @@ foreach my $remote (keys %pushes) {
# bypass Git::Wrapper which can hang pushing to salsa
system "git", "push", @args, $remote, @branches;
+ exit $? >> 8 if $?;
}
# Now find any tags that have not been pushed to any remote.